package com.example.afrishop_v3.controllers;

import com.example.afrishop_v3.base.Result;
import com.example.afrishop_v3.enums.ResultCodeEnum;
import com.example.afrishop_v3.models.TbCfSearch;
import com.example.afrishop_v3.repository.TbCfSearchRepository;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/search")
public class SearchController {
    private final TbCfSearchRepository repository;

    public SearchController(TbCfSearchRepository repository) {
        this.repository = repository;
    }

    @PostMapping("/save")
    public Result save(@RequestBody TbCfSearch tbCfSearch) {

        TbCfSearch entity = repository.save(tbCfSearch);

        return new Result<>(entity);
    }

    @GetMapping("/getRecords/{userId}")
    public Result getRecords(@PathVariable("userId") String userId) {
        List<TbCfSearch> list = repository.getAllByUserId(userId);
        return new Result<>(list);
    }

    @DeleteMapping("/deleteRecords")
    public Result deleteRecords(@RequestBody String[] ids) {
        if (ids != null) {
            repository.deleteAllByIdIn(ids);
            return new Result();
        }
        return new Result(ResultCodeEnum.SERVICE_ERROR.getCode(),
                ResultCodeEnum.SERVICE_ERROR.getDesc());
    }
}
