package com.example.afrishop_v3.controllers;

import com.example.afrishop_v3.base.Result;
import com.example.afrishop_v3.models.TbCfHomePage;
import com.example.afrishop_v3.repository.TbCfHomePageRepository;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/startPage")
public class TbCfHomePageEntityController {
    private final TbCfHomePageRepository repository;

    public TbCfHomePageEntityController(TbCfHomePageRepository repository) {
        this.repository = repository;
    }

    @GetMapping("/img")
    public Result<List<TbCfHomePage>> getStartPageImage(@RequestParam(value = "version", defaultValue = "0") Integer version) {
        List<TbCfHomePage> all = repository.getAllByImgVersionAndEnableFlag(version, 1);
        return new Result<>(all);
    }
}
